Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes
proofs::Fp256Reduce Struct Reference

## Static Public Member Functions
static void | reduction_step (uint64_t a[], uint64_t mprime, const Nat< 4 > &m)
static void | reduction_step (uint32_t a[], uint32_t mprime, const Nat< 4 > &m)

## Static Public Attributes
static const constexpr std::array< uint64_t, 4 > | kModulus

## Field Documentation

## ◆ kModulus

const constexpr std::array<uint64_t, 4> proofs::Fp256Reduce::kModulus
| static constexpr

Initial value:
= {
0xFFFFFFFFFFFFFFFFu,
0xFFFFFFFFu,
0,
0xFFFFFFFF00000001u,
}

The documentation for this struct was generated from the following file:

- lib/algebra/fp_p256.h